diff mbox

[9/8] xfs: find libxfs api violations

Message ID 20180103192200.GA4854@magnolia (mailing list archive)
State Not Applicable
Headers show

Commit Message

Darrick J. Wong Jan. 3, 2018, 7:22 p.m. UTC
From: Darrick J. Wong <darrick.wong@oracle.com>

New test to run tools/find-api-violations.sh in xfsprogs.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/xfs/708     |   56 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/708.out |    2 ++
 tests/xfs/group   |    1 +
 3 files changed, 59 insertions(+)
 create mode 100755 tests/xfs/708
 create mode 100644 tests/xfs/708.out

--
To unsubscribe from this list: send the line "unsubscribe linux-xfs" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
diff mbox

Patch

diff --git a/tests/xfs/708 b/tests/xfs/708
new file mode 100755
index 0000000..4877bcf
--- /dev/null
+++ b/tests/xfs/708
@@ -0,0 +1,56 @@ 
+#! /bin/bash
+# FS QA Test No. 708
+#
+# find-api-violations test
+#
+# The purpose of this test is ensure that the xfsprogs programs use the
+# libxfs_ symbols (in libxfs-api-defs.h) instead of raw xfs_ functions.
+# This is for the maintainers; it's not a functionality test.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2018 Oracle, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+[ -z "$WORKAREA" ] && \
+	_notrun "Can't run find-api-violations.sh without WORKAREA set"
+[ -f "$WORKAREA/tools/find-api-violations.sh" ] || \
+	_notrun "Can't find find-api-violations.sh tool under \"$WORKAREA\""
+
+echo "Silence is golden."
+
+# Look for API usage problems.  Old versions of the script have an improperly
+# specified grep pattern that is mistaken for a (broken) range specifier in
+# LC_ALL=C, so use English instead.
+(cd "$WORKAREA" ; LC_ALL="en_US.UTF-8" bash ./tools/find-api-violations.sh ) | tee -a $seqres.full
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/708.out b/tests/xfs/708.out
new file mode 100644
index 0000000..b40823e
--- /dev/null
+++ b/tests/xfs/708.out
@@ -0,0 +1,2 @@ 
+QA output created by 708
+Silence is golden.
diff --git a/tests/xfs/group b/tests/xfs/group
index d230060..e1b1582 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -434,3 +434,4 @@ 
 434 auto quick clone fsr
 435 auto quick clone
 436 auto quick clone fsr
+708 auto quick other